<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="UTF-8">
    <title>Users</title>
</head>
<body>

Authenticated username:
<div sec:authentication="name"></div>


<form method="post" th:action="@{/user/editUser}" th:object="${usr}">
    <label>
        Username:
        <input type="text" th:field="*{username}">
    </label>
    <br/>

    <br/>
    <div sec:authorize="hasRole('ADMIN')">
          <label>
            Roles:
            <input type="text" th:field="*{roles}">
          </label>
    </div>
    <br/>
    <button type="submit">
        Edit User
    </button>


</form>

</body>
</html>